ParserDelegator (Java Platform SE 8 )
Keywords: javax.swing.text.html.parser.ParserDelegator class
Date: 2015-11-19

javax.swing.text.html.parser

## Class ParserDelegator

- java.lang.Object
- - javax.swing.text.html.HTMLEditorKit.Parser
  - - javax.swing.text.html.parser.ParserDelegator

- All Implemented Interfaces:
    Serializable

      public class ParserDelegator
      extends HTMLEditorKit.Parser
      implements Serializable

  Responsible for starting up a new DocumentParser each time its parse method is invoked. Stores a reference to the dtd.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserDelegator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static DTD` | `createDTD(DTD dtd, String name)`
    `void` | `parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)` Parse the given stream and drive the given callback with the results of the parse.
    `protected static void` | `setDefaultDTD()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserDelegator

          public ParserDelegator()

  - ### Method Detail

    - #### setDefaultDTD

          protected static void setDefaultDTD()

    - #### createDTD

          protected static DTD createDTD(DTD dtd,
                                         String name)

    - #### parse

          public void parse(Reader r,
                            HTMLEditorKit.ParserCallback cb,
                            boolean ignoreCharSet)
                     throws IOException

      Description copied from class: `HTMLEditorKit.Parser`
      Parse the given stream and drive the given callback with the results of the parse. This method should be implemented to be thread-safe.
      Specified by:
        `parse` in class `HTMLEditorKit.Parser`
      Throws:
        `IOException`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.